package  
{
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	import net.flashpunk.graphics.Image;
	/**
	 * ...
	 * @author Wade McGillis
	 */
	public class DIGI_Checkpoint extends Entity
	{
		public var flip:Boolean = false;
		public function DIGI_Checkpoint(xx:int, yy:int, f:Boolean) 
		{
			super(xx, yy);
			flip = f;
		}
		
		override public function added():void
		{
			if (flip)
				graphic = new Image(Main.IMG_DIGICHECKPOINT_FLIP);
			else
				graphic = new Image(Main.IMG_DIGICHECKPOINT);
			setHitbox(32, 32);
			type = "checkpoint";
		}
		
		override public function update():void
		{
			super.update();
			if ((FP.world as GameWorld).hectorX == x && ((FP.world as GameWorld).hectorY == y || (FP.world as GameWorld).hectorY == y-20))
				(graphic as Image).color = 0xC0C0C0
			else
				(graphic as Image).color = 0x808080;
		}
		
	}

}