package  
{
	import net.flashpunk.FP;
	import net.flashpunk.graphics.Spritemap;
	/**
	 * ...
	 * @author Wade McGillis
	 */
	public class DIGI_VaporFloor extends ResettableEntity
	{
		private var vaporized:Boolean;
		public function DIGI_VaporFloor(xx:int, yy:int) 
		{
			super(xx, yy);
			type = "vapor";
			setHitbox(16, 16);
		}
		
		override public function added():void
		{
			graphic = new Spritemap(Main.IMG_DIGIVAPOR, 16, 16, done);
			(graphic as Spritemap).add("nothing", [0], 0, false);
			(graphic as Spritemap).add("go", [0,1,2,3,4], .5, false);
			reset();
		}
		
		public function done():void
		{
			(FP.world as GameWorld).setSolid(x / 16, y / 16, false);
		}
		
		override public function reset():void
		{
			vaporized = false;
			(graphic as Spritemap).play("nothing");
			(FP.world as GameWorld).setSolid(x / 16, y / 16, true);
		}
		
		public function vaporize() // TAKE THAT, TEA HEADS. ;)
		{
			if (vaporized)
				return;
			vaporized = true;
			(graphic as Spritemap).play("go");
		}
		
	}

}