package  
{
	import flash.display.InteractiveObject;
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	import net.flashpunk.graphics.Image;
	import net.flashpunk.graphics.Spritemap;
	/**
	 * ...
	 * @author Wade McGillis
	 */
	public class EnemyBullet extends Entity
	{
		
		private var dir:Number;
		private var startx:int;
		private var starty:int;
		public function EnemyBullet(xx:Number,yy:Number,direction:Number) 
		{
			super(xx, yy);
			startx = xx;
			starty = yy;
			var spm:Spritemap = new Spritemap(Main.IMG_ENEMY_BULLET,16,16);
			spm.add("wobble", [0, 1, 2, 3], .5, true);
			spm.play("wobble");
			graphic = spm;
			dir = direction;
			type = "spike";
			setHitbox(6, 6, -5, -5);
		}
		
		override public function update():void
		{
			super.update();
			x += 4 * Math.cos(dir * FP.RAD);
			y += 4 * Math.sin(dir * FP.RAD);
			
			if (collide("THETERRAINFOOL", x, y))
			{
				(graphic as Image).visible = false;
				type = "cows";
			}			
			
			x += 20 * Math.cos(dir * FP.RAD);
			y += 20 * Math.sin(dir * FP.RAD);
			if (Math.floor(x / 512) != Math.floor(startx / 512) || Math.floor(y / 416) != Math.floor(starty / 416))
			{
				(graphic as Image).visible = false;
				type = "cows";
			}
			else
			{
				x -= 20 * Math.cos(dir * FP.RAD);
				y -= 20 * Math.sin(dir * FP.RAD);
			}
			

			
			
		}
		
	}

}