package  
{
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	import net.flashpunk.graphics.Image;
	import net.flashpunk.graphics.Spritemap;
	/**
	 * ...
	 * @author Wade McGillis
	 */
	public class DIGI_DemonCat extends ResettableEntity
	{
		private var bullets:Array = []
		private var spd:Number = 0;
		public function DIGI_DemonCat(xx:int, yy:int) 
		{
			super(xx, yy);
			
			x += 24;
			y += 24;
			
			graphic = new Spritemap(Main.IMG_DEMONCAT, 48, 48);
			(graphic as Spritemap).frame = 0;
			(graphic as Spritemap).centerOO();
			(graphic as Spritemap).scale = 2;
		}
		
		override public function reset():void
		{
			super.reset();
			spd = 0;
			var e:Entity;
			for each(e in bullets)
			{
				FP.world.remove(e);
			}
			
			(graphic as Image).angle = 0;
		}
		
		override public function update():void
		{
			super.update();
			(graphic as Image).angle += spd;
			spd += .25;
			if (true || Math.floor((graphic as Image).angle) == (graphic as Image).angle)
			{
				bullets.push(FP.world.add(new EnemyBullet(x + 15*Math.cos(((graphic as Image).angle + 270)*FP.RAD), y + 15*Math.cos(((graphic as Image).angle + 270)*FP.RAD), (graphic as Image).angle + 270)));
			}
		}
		
	}

}