package  
{
	import flash.geom.Rectangle;
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	import net.flashpunk.graphics.Image;
	import net.flashpunk.graphics.Spritemap;
	import net.flashpunk.Screen;
	/**
	 * ...
	 * @author Wade McGillis
	 */
	public class DIGI_PortalPad extends Entity
	{
		
		private var countdown:int;
		private var hector:DIGI_Hector;
		public function DIGI_PortalPad(xx:int, yy:int) 
		{
			super(xx, yy);
			countdown = -1;
			type = "portalpad";
			setHitbox(128, 128);
			hector = null;
			graphic = new Spritemap(Main.IMG_SUPERPORTAL, 128, 128);
			(graphic as Spritemap).add("lalala", [0, 1, 2, 3], 1, true);
			(graphic as Spritemap).play("lalala");
		}
		
		override public function update():void
		{
			super.update();
			(graphic as Spritemap).color = FP.getColorRGB(192 + 63 * Math.random(), 192 + 63 * Math.random(), 192 + 63 * Math.random());
			visible = ((FP.world as GameWorld).cluesRemain == 0);
			if (countdown >= 0)
			{
				if (countdown < 25)
					(hector.graphic as Image).visible = !(hector.graphic as Image).visible;
				if (countdown < 5)
					(hector.graphic as Image).visible = false;
				if (countdown == 0)
				{
					FP.width = 256;
					FP.height = 224;
					FP.halfWidth = 256/2;
					FP.halfHeight = 224/2;
					FP.screen = new Screen;
					FP.screen.scale = 2;
					FP.bounds = new Rectangle(0, 0, 256, 224);
					//
					FP.world = new TestWorld("warproom_end",-1000);
				}
				else
					countdown--;
			}
			if ((FP.world as GameWorld).cluesRemain == 0)
				type = "portalpad"
			else
				type = "bananapants";
		}
		
		public function go(hec:DIGI_Hector):void
		{
			if (countdown < 0)
			{
				hector = hec;
				countdown = 36;
			}
		}
		
	}

}