package 
{
	import flash.utils.ByteArray;
	import net.flashpunk.Engine;
	import net.flashpunk.FP;
	import net.flashpunk.utils.Key;
	
	/**
	 * ...
	 * @author Wade McGillis
	 */
	public class Main extends Engine
	{
		public static var KEYLEFT:int = Key.LEFT;
		public static var KEYRIGHT:int = Key.RIGHT;
		public static var KEYJUMP:int = Key.UP;
		public static var KEYACTION:int = Key.SPACE;
		// LOCATIONS
		[Embed (source="../res/ogmo/test.oel", mimeType = "application/octet-stream")]
		public static const LVL_TOWN:Class;
		[Embed (source="../res/ogmo/policestation.oel", mimeType = "application/octet-stream")]
		public static const LVL_POPO:Class;
		[Embed (source="../res/ogmo/policestation2.oel", mimeType = "application/octet-stream")]
		public static const LVL_POPO2:Class;
		[Embed (source="../res/ogmo/warproom.oel", mimeType = "application/octet-stream")]
		public static const LVL_WARP:Class;
		[Embed (source="../res/ogmo/condoright.oel", mimeType = "application/octet-stream")]
		public static const LVL_CONDORIGHT:Class;
		[Embed (source="../res/ogmo/condoleft.oel", mimeType = "application/octet-stream")]
		public static const LVL_CONDOLEFT:Class;
		[Embed (source="../res/ogmo/ladyhouse.oel", mimeType = "application/octet-stream")]
		public static const LVL_LADYHOUSE:Class;
		[Embed (source="../res/ogmo/ladyhouse2.oel", mimeType = "application/octet-stream")]
		public static const LVL_LADYHOUSE2:Class;
		[Embed (source="../res/ogmo/secondhouse.oel", mimeType = "application/octet-stream")]
		public static const LVL_SECONDHOUSE:Class;
		
		[Embed (source="../res/ogmo/policestation_end.oel", mimeType = "application/octet-stream")]
		public static const LVL_POPOEND:Class;
		[Embed (source="../res/ogmo/policestation2_end.oel", mimeType = "application/octet-stream")]
		public static const LVL_POPO2END:Class;
		[Embed (source="../res/ogmo/warproom_end.oel", mimeType = "application/octet-stream")]
		public static const LVL_WARPEND:Class;
		// GRAPHICS
		[Embed (source="../res/gfx/backgrounds.png")]
		public static const IMG_BACKGROUNDS:Class;
		[Embed (source="../res/gfx/tiles.png")]
		public static const IMG_TILES:Class;	
		[Embed (source="../res/gfx/messagebox.png")]
		public static const IMG_MESSAGEBOX:Class;
		[Embed (source="../res/gfx/speech.png")]
		public static const IMG_SPEECH:Class;	
		[Embed (source="../res/gfx/digitiles.png")]
		public static const IMG_DIGITILES:Class;
		
		
		
		// MENU
		[Embed (source="../res/gfx/title_name.png")]
		public static const IMG_MENUTITLE:Class;	
		[Embed (source="../res/gfx/title_body.png")]
		public static const IMG_MENUGUY:Class;	
		[Embed (source="../res/gfx/title_corner.png")]
		public static const IMG_MENUCORNER:Class;	
		[Embed (source="../res/gfx/selector.png")]
		public static const IMG_CURSOR:Class;	
		
		
		
		
		
		// PEOPLES
		[Embed (source="../res/gfx/hector_strip.png")]
		public static const IMG_HECTOR:Class;
		[Embed (source="../res/gfx/digihector_strip.png")]
		public static const IMG_DIGIHECTOR:Class;
		[Embed (source="../res/gfx/digihector_strip_flip.png")]
		public static const IMG_DIGIHECTOR_FLIP:Class;
		[Embed (source="../res/gfx/jefe_strip.png")]
		public static const IMG_JEFE:Class;
		[Embed (source="../res/gfx/alien_strip.png")]
		public static const IMG_ALIENNPC:Class;
		[Embed (source="../res/gfx/ese_strip.png")]
		public static const IMG_ESE:Class;		
		[Embed (source="../res/gfx/lady_strip.png")]
		public static const IMG_LADY:Class;
		[Embed (source="../res/gfx/mcpixel_strip.png")]
		public static const IMG_MCPIXEL:Class;		
		// STUFF
		[Embed (source="../res/gfx/superportal.png")]
		public static const IMG_SUPERPORTAL:Class;
		[Embed (source="../res/gfx/portalpad.png")]
		public static const IMG_PORTALPAD:Class;
		[Embed (source="../res/gfx/flasher.png")]
		public static const IMG_FLASHER1:Class;
		[Embed (source="../res/gfx/flasher2.png")]
		public static const IMG_FLASHER2:Class;
		[Embed (source="../res/gfx/flasher3.png")]
		public static const IMG_FLASHER3:Class;
		[Embed (source="../res/gfx/flasher4.png")]
		public static const IMG_FLASHER4:Class;
		[Embed (source="../res/gfx/flasher5.png")]
		public static const IMG_FLASHER5:Class;
		[Embed (source="../res/gfx/flasher6.png")]
		public static const IMG_FLASHER6:Class;
		[Embed (source="../res/gfx/flasher7.png")]
		public static const IMG_FLASHER7:Class;
		// GAME
		[Embed (source="../res/gfx/level.png")]
		public static const IMG_LEVEL:Class;
		[Embed (source="../res/gfx/level_colormap.png")]
		public static const IMG_LEVELCOLORMAP:Class;
		[Embed (source="../res/gfx/digiblock.png")]
		public static const IMG_DIGIBLOCK:Class;
		[Embed (source="../res/gfx/digiborder.png")]
		public static const IMG_DIGIBORDER:Class;
		[Embed (source="../res/gfx/checkpoint.png")]
		public static const IMG_DIGICHECKPOINT:Class;
		[Embed (source="../res/gfx/checkpoint_flip.png")]
		public static const IMG_DIGICHECKPOINT_FLIP:Class;
		[Embed (source="../res/gfx/digivapor.png")]
		public static const IMG_DIGIVAPOR:Class;
		[Embed (source="../res/gfx/digitrinket.png")]
		public static const IMG_DIGICLUE:Class;
		[Embed (source="../res/gfx/enemy2.png")]
		public static const IMG_DEMONCAT:Class;
		[Embed (source="../res/gfx/enemy1_bullet.png")]
		public static const IMG_ENEMY_BULLET:Class;
		
		
		
		[Embed (source="../res/gfx/titlescreen2.png")]
		public static const IMG_TITLESCREEN2:Class;
		[Embed (source="../res/gfx/help.png")]
		public static const IMG_HELP:Class;
		
		//
		public function Main():void 
		{
			super(512, 448, 30, true);
			
		}
		
		override public function init():void 
		{
			super.init();
			// entry point
			FP.screen.color = 0x000000;
			FP.screen.scale = 1;
			FP.world = new TitleScreen();
			//FP.screen.scale = 2;
			//FP.world = new GameWorld();// TestWorld("policestation2");
		}
		
		public static function getLevelFromName(str:String):ByteArray
		{
			if (str == "town")
				return new LVL_TOWN;
			if (str == "policestation")
				return new LVL_POPO;
			if (str == "policestation2")
				return new LVL_POPO2;
			if (str == "warproom")
				return new LVL_WARP;
			if (str == "condoleft")
				return new LVL_CONDOLEFT;
			if (str == "condoright")
				return new LVL_CONDORIGHT;
			if (str == "ladyhouse")
				return new LVL_LADYHOUSE;
			if (str == "ladyhouse2")
				return new LVL_LADYHOUSE2;
			if (str == "secondhouse")
				return new LVL_SECONDHOUSE;
			if (str == "policestation_end")
				return new LVL_POPOEND;
			if (str == "policestation2_end")
				return new LVL_POPO2END;
			if (str == "warproom_end")
				return new LVL_WARPEND;
			return null;
		}
		
	}
	
}