package  
{
	import flash.geom.Rectangle;
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	import net.flashpunk.graphics.Image;
	import net.flashpunk.Screen;
	/**
	 * ...
	 * @author Wade McGillis
	 */
	public class PortalPad extends Entity
	{
		
		private var flashy:Entity;
		private var img:Array = [];
		private var setalpha:Number;
		private var countdown:int;
		private var hector:Hector;
		public function PortalPad(xx:int, yy:int) 
		{
			super(xx, yy);
			type = "portalpad";
			img[0] = new Image(Main.IMG_FLASHER1);
			img[1] = new Image(Main.IMG_FLASHER2);
			img[2] = new Image(Main.IMG_FLASHER3);
			img[3] = new Image(Main.IMG_FLASHER4);
			img[4] = new Image(Main.IMG_FLASHER5);
			img[5] = new Image(Main.IMG_FLASHER6);
			img[6] = new Image(Main.IMG_FLASHER7);
			flashy = FP.world.addGraphic(img[0], -100000, 0, 0);
			countdown = -1;
			setHitbox(32, 16);
			hector = null;
			graphic = new Image(Main.IMG_PORTALPAD);
		}
		
		override public function update():void
		{
			super.update();
			if (countdown >= 0)
			{
				var index:int = Math.max(0, countdown - 30) as int;
				flashy.graphic = img[6-index];
				(flashy.graphic as Image).alpha = setalpha + (6 - index) * (1 - setalpha) / 7;
				if (countdown < 25)
					(hector.graphic as Image).visible = !(hector.graphic as Image).visible;
				if (countdown < 5)
					(hector.graphic as Image).visible = false;
				if (countdown == 0)
				{
					
					FP.width = 512;
					FP.height = 448;
					FP.halfWidth = 512/2;
					FP.halfHeight = 448 / 2;
					FP.screen = new Screen;
					FP.screen.scale = 1;
					FP.bounds = new Rectangle(0, 0, 512, 448);
					//
					
					
					FP.world = new GameWorld();
				}
				else
					countdown--;
			}
			else
			{
				(flashy.graphic as Image).alpha = .5 + Math.random() * .1;
			}
			
		}
		
		public function go(hec:Hector):void
		{
			if (countdown < 0)
			{
				hector = hec;
				countdown = 36;
				setalpha = (flashy.graphic as Image).alpha;
			}
		}
		
	}

}